# Hexo Configuration
## Docs: https://hexo.io/docs/configuration.html
## Source: https://github.com/hexojs/hexo/

# Site
title: Spectrum Protect and Docker
subtitle: Exploiting Docker
author: Deon George
language: en
timezone: Australia/Melbourne

# URL
## If your site is put in a subdirectory, set url as 'http://yoursite.com/child' and root as '/child/'
url: http://spdocker.static.leenooks.net
root: /
permalink: :year/:month/:day/:title/
permalink_defaults:

# Directory
source_dir: source
public_dir: public
tag_dir: tags
archive_dir: archives
category_dir: categories
code_dir: downloads/code
i18n_dir: :lang
skip_render:

# Writing
new_post_name: :title.md # File name of new posts
default_layout: pages
titlecase: false # Transform title into titlecase
external_link: true # Open external links in new tab
filename_case: 0
render_drafts: false
post_asset_folder: true
relative_link: false
future: true
highlight:
  enable: true
  line_number: true
  auto_detect: true
  tab_replace:

# Category & Tag
default_category: uncategorized
category_map:
tag_map:

# Date / Time format
## Hexo uses Moment.js to parse and display date
## You can customize the date format as defined in
## http://momentjs.com/docs/#/displaying/format/
date_format: YYYY-MM-DD
time_format: HH:mm:ss

# Pagination
## Set per_page to 0 to disable pagination
per_page: 10
pagination_dir: archives

#Custom Setting Start
# Site settings
SEOTitle: Spectrum Protect | Docker
email: deon@leenooks.net
description: "Exploiting Spectrum Protect in Docker Environments"
keyword: "Spectrum Protect Docker"
header-img: img/header_img/index.jpg
signature: false #show signature
signature-img: img/signature/signature.png 

# SNS settings
# RSS: false
linkedin_username:  deongeorge

# Build settings
anchorjs: false                          # if you want to customize anchor. check out line:181 of `post.html`

# Disqus settings
# disqus_username: your-disqus-ID

# Analytics settings
# Baidu Analytics
# ba_track_id: 4cc1f2d8f3067386cc5cdb626a202900
# Google Analytics
#ga_track_id: 'UA-XXXXXXXX-X'          # Format: UA-xxxxxx-xx
#ga_domain: yoursite

# Sidebar settings
sidebar: true                       # whether or not using Sidebar.
sidebar-about-description: "Deon George"
sidebar-avatar: img/ironman-draw.png      # use absolute URL, seeing it's used in both `/` and `/about/`
widgets:
- toc
- related-links
#- short-about
#- featured-tags
#- recent-posts
#- category
#- friends-blog
#- archive

# widget behavior
## Archive
archive_type: 'monthly'
show_count: true

category_generator:
  per_page: 10

## Featured Tags
featured-tags: false                     # whether or not using Feature-Tags
featured-condition-size: 1              # A tag will be featured if the size of it is more than this condition value

## Friends
#friends: [
#    {
#        title: "",
#        href: ""
#    },{
#        title: "",
#        href: ""
#    }
#]

#Custom Setting End

home_posts_tag: true # show posts tags

archive_generator:
  per_page: 10
  yearly: true
  monthly: true
  daily: false
  
# Markdown-it config
## Docs: https://github.com/celsomiranda/hexo-renderer-markdown-it/wiki
markdown:
  render:
    html: true
    xhtmlOut: false
    breaks: true
    linkify: true
    typographer: true
    quotes: '“”‘’'
  
# Extensions
## Plugins: https://hexo.io/plugins/
## Themes: https://hexo.io/themes/
theme: spd

#sitemap
sitemap:
  path: sitemap.xml

# Deployment
## Docs: https://hexo.io/docs/deployment.html
deploy:
  type: git
  repository: http://dev.leenooks.net/deon/spdocker
  branch: pages

clean_css:
  exclude: 
    - '*.min.css'
